//
//  ViewController.m
//  图片下拉放大
//
//  Created by sfm on 16/8/26.
//  Copyright © 2016年 sfm. All rights reserved.
//这里假设最开始显示图片的一半高度

#import "ViewController.h"

@interface ViewController ()<UITableViewDelegate,UITableViewDataSource>
@property (weak, nonatomic) IBOutlet UITableView *Mytableview;
@property(nonatomic,strong)UIImageView *topView;
@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    // Do any additional setup after loading the view, typically from a nib.
    self.Mytableview.dataSource = self;
    self.Mytableview.delegate = self;
    UIImageView *topview = [[UIImageView alloc]initWithImage:[UIImage imageNamed:@"11.jpg"]];
    self.topView = topview;
    topview.contentMode = UIViewContentModeScaleAspectFill;
    [self.Mytableview insertSubview:topview atIndex:0];
    //内边距Y方向上下拉150
    self.Mytableview.contentInset = UIEdgeInsetsMake(150, 0, 0, 0);
    //所以他的0点位置也向下移动了150，图片的Y值自然就成为了-300
    topview.frame = CGRectMake(0, -300, [UIScreen mainScreen].bounds.size.width, 300);
    //去掉talbleview的垂直滑条
    self.Mytableview.showsVerticalScrollIndicator = NO;
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}
-(NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section{
    return 30;

}
-(UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath{

    static NSString *reusedID = @"cell";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:reusedID];
    if (cell == nil ) {
        cell = [[UITableViewCell alloc]initWithStyle:UITableViewCellStyleDefault reuseIdentifier:reusedID];
    }
    cell.textLabel.text = [NSString stringWithFormat:@"第%ld行",indexPath.row];
    return cell;

}
-(void)scrollViewDidScroll:(UIScrollView *)scrollView{
    CGFloat down = -150 - self.Mytableview.contentOffset.y;
    if (down<0) {//表明是向上拽的
        return;
    }
    CGRect frame = self.topView.frame;
    frame.size.height = 300 +down;
    self.topView.frame = frame;
}
@end
